// ~~ Generated by Modular Boilerplate ~~
import copy from 'rollup-plugin-copy';
import { sharedPlugins } from './rollup.plugins.mjs';
import { artefactPlugins } from './rollup.artefact.plugins.mjs';

export default {
  input: 'src/main.ts',
  output: {
    file: 'dist/app/main.js',
    format: 'iife',
    name: 'main',
  },
  plugins: [
    copy({
      targets: [
        { src: 'src/logo.svg', dest: 'dist/app' },
        { src: 'src/openmfe', dest: 'dist/app' },
      ],
    }),
    ...sharedPlugins,
    ...artefactPlugins,
  ],
};
